Close Batch

​

Close or release an open batch where supported. Not available for managed Fiserv. Processor outcomes return a Batch body: 200 for acceptance, 409 for a duplicate response, 502 for non-acceptance. Inspect response and rejection_reason before retrying.

Path Parameters

Headers

  • Response format. Must be application/json.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/batches/{batch_id}/close
curl 'https://api.uat.koard.com/v1/batches/{batch_id}/close' \
  --request POST \
  --header 'Accept: application/json' \
  --header 'x-koard-apikey: YOUR_SECRET_TOKEN'
{
  "id": "string",
  "account_id": "string",
  "terminal_id": "string",
  "processor_name": "string",
  "processor_config_id": "string",
  "status": "open",
  "captured_amount": 0,
  "refunded_amount": 0,
  "transaction_count": 0,
  "processor_batch_id": null,
  "opened_at": "2026-11-12T19:57:43.174Z",
  "closed_at": "2026-11-12T19:57:43.174Z",
  "response": {
    "additionalProperty": "anything"
  },
  "batch_metadata": {
    "additionalProperty": "anything"
  },
  "gateway": "string",
  "mid": "string",
  "tid": "string",
  "terminal_name": "string",
  "rejection_reason": "string"
}